<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<title>UCA :.</title>

<style type="text/css">
<!--
body {background-color: #CCCCCC;}
-->
</style>
<link href="ucaestilos.css" rel="stylesheet" type="text/css" />
<script>
function elimina(id)
{
	//alert(id);
	location.href="deleteproducto.php?idProd="+id+"&sp=y";
}
</script>
</head>
<body>
<table width="800" border="0" align="center" cellpadding="0" cellspacing="0" bgcolor="#FFFFFF">
  <tr>
    <td><img src="img/top02.jpg" width="800" height="100" /></td>
  </tr>
  <tr>
    <td><p>&nbsp;</p>
        <table width="95%" border="0" align="center" cellpadding="0" cellspacing="0">
          <tr>
            <td><?php
//CONEXION A LA BASE DE DATOS
include ("conexion.php");

//CAPTURA DE DATOS DEL URL
$idProd=$_GET['idProd'];

//VALIDAR QUE NO ESTE EN ALGUN PAQUETE

$x=0;
$cons="SELECT idPaquete FROM contenido_paquete WHERE clave='$idProd'";
$res=mysql_query($cons,$conex) or die ("No se realizó cons");
while($fila=mysql_fetch_row($res))
{
	$paquetes[$x]=$fila[0];
	$x=$x+1;
}

if (isset($_GET['sp']))
{
	$sp=$_GET['sp'];
	//echo "valor de sp: ".$sp;
	
	//ELIMINACION DE DATOS EN TABLA 
	$cons3="DELETE FROM productos WHERE clave='$idProd'";
	$res3=mysql_query($cons3,$conex) or die ("No se pudo realizar cons3");
	
	$cons4="DELETE FROM contenido_paquete WHERE clave='$idProd'";
	$res4=mysql_query($cons4,$conex) or die ("No se pudo realizar cons4");
	
	echo "<div align='center'><img src='img/confproc.jpg' width='371' height='215' /></div>";
}
else
{
	if ($x != 0)
	{
		echo "<p class='style7' align='center'>El producto ".$idProd." existe en los paquetes siguientes: </p>";
		
		echo "<table border=1 align='center' cellpadding='2'>";
		echo "<tr bgcolor='#4E5B7B' class='titulo' align='center'>";
		
		echo "<td class='style4'>";
		echo " ID ";
		echo "</td>";
	
		echo "<td class='style4'>";
		echo "PAQUETE";
		echo "</td>";
		
		echo "</tr>";
		
		for($y=0;$y <$x;$y++)
		{
			echo "<tr>";
			echo "<td class='style1'>";
			echo $paquetes[$y];
			echo "</td>";
			
			$cons2="SELECT nompaquete FROM paquetes WHERE idPaquete='$paquetes[$y]'";
			$res2=mysql_query($cons2,$conex) or die ("No se realizó cons2");
			$hay=mysql_num_rows($res2);
			
			if ($hay!=0)
			{
				$nombre=mysql_result($res2,0,'nomproducto');
							
				echo "<td class='style1'>";
				echo $nombre;
				echo "</td>";
			}
			else
			{
				echo "<td class='style1' bgcolor='#cccccc'>";
				echo "ASIGNADO A UN PAQUETE QUE YA NO EXISTE";
				echo "</td>";
			}
			echo "</tr>";
		}
		echo "</table>";
		echo "<p class='style7' align='center'>¿Desea eliminar el producto y su vinculo con los paquetes? <input name='elimina' type='submit' value='Si' onclick='javascript:elimina(&quot;$idProd&quot;)' class='boton2'> </p>";
	}
	else// del if ($x != 0) 
	{
		//ELIMINACION DE DATOS EN TABLA 
		$cons3="DELETE FROM productos WHERE clave='$idProd'";
		$res3=mysql_query($cons3,$conex) or die ("No se pudo realizar cons3");

		echo "<div align='center'><img src='img/confproc.jpg' width='371' height='215' /></div>";
	}

}
	  

mysql_close($conex);
?>
</td>
          </tr>
        </table>
      <br />
        <table width="200" border="0" align="center" cellspacing="10">
          <tr>
            <td width="97"><form id="form1" name="form1" method="post" action="main.php?a=2">
                <div align="center">
                  <p>
                    <input name="Submit" type="submit" class="boton2" value="Volver a productos" />
                  </p>
                </div>
            </form></td>
            <td width="93"><form id="form1" name="form1" method="post" action="main.php">
                <div align="center">
                  <p>
                    <input name="Submit2" type="submit" class="boton2" value="Volver a inicio" />
                  </p>
                </div>
            </form></td>
          </tr>
      </table>
        <table width="100%" border="0">
          <tr>
            <td height="22" bgcolor="#4E5B7B"><div align="center"><span class="style8">Universidad Cuauht&eacute;moc Plantel Aguascalientes </span></div></td>
          </tr>
      </table></td>
  </tr>
</table>
</body>
</html>